EX_YES(3)

FUNCTION
ex_yes - Extract boolean value from string.

SYNOPSIS
#include <karma_ex.h>

int ex_yes

(CONST char **ptr, int default_v)

DESCRIPTION
This routine will extract a boolean value from string.

ptr A pointer to the string to extract from. This is advanced to the next word in the string if the current word matches "yes" or "no".

default_v
    The default value.

RETURN VALUE
TRUE if the word is "yes", FALSE if the word is "no", else the default value.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/